Package org.apache.cayenne.configuration

## Class BaseConfigurationNodeVisitor<T>

- java.lang.Object
- - org.apache.cayenne.configuration.BaseConfigurationNodeVisitor<T>

- All Implemented Interfaces:
    `ConfigurationNodeVisitor<T>`

      public abstract class BaseConfigurationNodeVisitor<T>
      extends Object
      implements ConfigurationNodeVisitor<T>

  A `ConfigurationNodeVisitor` that does nothing, used as a convenience superclass for partial visitors. All methods of this visitor throw an `UnsupportedOperationException`.
  Since:
    3.1

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseConfigurationNodeVisitor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `visitDataChannelDescriptor​(DataChannelDescriptor channelDescriptor)` |
    `T` | `visitDataMap​(DataMap dataMap)` |
    `T` | `visitDataNodeDescriptor​(DataNodeDescriptor nodeDescriptor)` |
    `T` | `visitDbAttribute​(DbAttribute attribute)` |
    `T` | `visitDbEntity​(DbEntity entity)` |
    `T` | `visitDbRelationship​(DbRelationship relationship)` |
    `T` | `visitEmbeddable​(Embeddable embeddable)` |
    `T` | `visitEmbeddableAttribute​(EmbeddableAttribute attribute)` |
    `T` | `visitObjAttribute​(ObjAttribute attribute)` |
    `T` | `visitObjEntity​(ObjEntity entity)` |
    `T` | `visitObjRelationship​(ObjRelationship relationship)` |
    `T` | `visitProcedure​(Procedure procedure)` |
    `T` | `visitProcedureParameter​(ProcedureParameter parameter)` |
    `T` | `visitQuery​(QueryDescriptor query)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseConfigurationNodeVisitor

          public BaseConfigurationNodeVisitor()

  - ### Method Detail

    - #### visitDataChannelDescriptor

          public T visitDataChannelDescriptor​(DataChannelDescriptor channelDescriptor)

      Specified by:
        `visitDataChannelDescriptor` in interface `ConfigurationNodeVisitor<T>`

    - #### visitDataMap

          public T visitDataMap​(DataMap dataMap)

      Specified by:
        `visitDataMap` in interface `ConfigurationNodeVisitor<T>`

    - #### visitDataNodeDescriptor

          public T visitDataNodeDescriptor​(DataNodeDescriptor nodeDescriptor)

      Specified by:
        `visitDataNodeDescriptor` in interface `ConfigurationNodeVisitor<T>`

    - #### visitDbAttribute

          public T visitDbAttribute​(DbAttribute attribute)

      Specified by:
        `visitDbAttribute` in interface `ConfigurationNodeVisitor<T>`

    - #### visitDbEntity

          public T visitDbEntity​(DbEntity entity)

      Specified by:
        `visitDbEntity` in interface `ConfigurationNodeVisitor<T>`

    - #### visitDbRelationship

          public T visitDbRelationship​(DbRelationship relationship)

      Specified by:
        `visitDbRelationship` in interface `ConfigurationNodeVisitor<T>`

    - #### visitEmbeddable

          public T visitEmbeddable​(Embeddable embeddable)

      Specified by:
        `visitEmbeddable` in interface `ConfigurationNodeVisitor<T>`

    - #### visitEmbeddableAttribute

          public T visitEmbeddableAttribute​(EmbeddableAttribute attribute)

      Specified by:
        `visitEmbeddableAttribute` in interface `ConfigurationNodeVisitor<T>`

    - #### visitObjAttribute

          public T visitObjAttribute​(ObjAttribute attribute)

      Specified by:
        `visitObjAttribute` in interface `ConfigurationNodeVisitor<T>`

    - #### visitObjEntity

          public T visitObjEntity​(ObjEntity entity)

      Specified by:
        `visitObjEntity` in interface `ConfigurationNodeVisitor<T>`

    - #### visitObjRelationship

          public T visitObjRelationship​(ObjRelationship relationship)

      Specified by:
        `visitObjRelationship` in interface `ConfigurationNodeVisitor<T>`

    - #### visitProcedure

          public T visitProcedure​(Procedure procedure)

      Specified by:
        `visitProcedure` in interface `ConfigurationNodeVisitor<T>`

    - #### visitProcedureParameter

          public T visitProcedureParameter​(ProcedureParameter parameter)

      Specified by:
        `visitProcedureParameter` in interface `ConfigurationNodeVisitor<T>`

    - #### visitQuery

          public T visitQuery​(QueryDescriptor query)

      Specified by:
        `visitQuery` in interface `ConfigurationNodeVisitor<T>`